Subject: bug#47841: [release 1.2.1] could not install on foreign distro

From: Leo Famulari <[email-masked]>
Date: Sat, 17 Apr 2021 15:22:37 -0400

On Sat, Apr 17, 2021 at 03:29:27PM +0200, Julien Lepiller wrote:
> I tried using the latest tarball to install guix, by modifying the
> current script. To do that, I downloaded the latest installation script
> from savannah and modified it a bit:
> 
> In guix_get_bin, I removed the tar.xz extension and the download of the
> signature. I also commented out the verification with gpg.
> 
> In main, I commented out the call to guix_get_bin_list and replace the
> call to guix_get_bin with
> 
> guix_get_bin "https://ci.guix.gnu.org/download/" "114" "$tmp_path"
> 
> (114 being obtained by looking at the latest build of the tarball:
> https://ci.guix.gnu.org/jobset/tarball).

Can you share your diff? I tried to alter guix-install.sh to download
the tarball I built from my server, but it's easier said than done.